import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Address, Addresses } from "@payfunc/model";
export declare class IntergiroAddressInput {
  element: HTMLElement;
  t: langly.Translate;
  value: Address;
  get address(): Address;
  types: Addresses.Type[];
  mode: "edit" | "add";
  type: Addresses.Type;
  edit: EventEmitter<Address>;
  create: EventEmitter<{
    type: string;
    value: Address;
  }>;
  close: EventEmitter;
  notice: EventEmitter<Notice>;
  private selected;
  private countries;
  private state;
  private adding;
  componentWillLoad(): void;
  onTrigger(): void;
  onSelectionChanged(e: CustomEvent<{
    identifier: string;
    value: string;
  }>): void;
  onSubmit(e: CustomEvent): void;
  private toUpperCase;
  render(): any[];
}
